/*
 * Weather.java
 *
 * Created: April 11, 2009, 9:50 PM
 * Author: Stephen Whitmore
 *
 */
package irrtum.map;

import irrtum.engine.*;
import org.lwjgl.opengl.*;
import java.nio.*;
import org.lwjgl.BufferUtils;

public class Weather
{
    public static void setFog(Vector3 col, float start, float end)
    {
        FloatBuffer buf = BufferUtils.createFloatBuffer(4);
        buf.put(col.x).put(col.y).put(col.z).put(1.0f).flip();
        //float c[] = new float[4];
        //c[0] = col.x; c[1] = col.y; c[2] = col.z; c[3] = 1.0f;
        GL11.glFog(GL11.GL_FOG_COLOR, buf);//FloatBuffer.wrap(c));
        GL11.glFogf(GL11.GL_FOG_START, start);
        GL11.glFogf(GL11.GL_FOG_END, end);
        GL11.glClearColor(col.x, col.y, col.z, 1.0f);
    }
}
